## org.opencyc.xml.gui
Class ImportDamlApp

    java.lang.Object
      |
      +--org.opencyc.xml.ImportDaml
            |
            +--org.opencyc.xml.gui.ImportDamlApp

All Implemented Interfaces:
  com.hp.hpl.jena.rdf.arp.StatementHandler

public class ImportDamlApp
extends ImportDaml

Imports specified DAML xml content.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Inner classes inherited from class org.opencyc.xml.ImportDaml
`ImportDaml.DamlRestriction, ImportDaml.DamlTermInfo, ImportDaml.MyErrorHandler`

Field Summary
`protected static int` `INITIAL_MAIN_FRAME_HEIGHT`
`protected static int` `INITIAL_MAIN_FRAME_WIDTH`
`protected static int` `MIN_MAIN_FRAME_HEIGHT`
`protected static int` `MIN_MAIN_FRAME_WIDTH`

Fields inherited from class org.opencyc.xml.ImportDaml
`actuallyImport, arp, bookkeepingMt, characterEncoding, cycAccess, damlOntologyDefiningURL, damlOntologyDefiningURLString, damlRestriction, DEFAULT_VERBOSITY, equivalentDamlCycTerms, importMt, importMtName, kbSubsetCollection, kbSubsetCollectionName, ontologyNicknames, previousDamlTermInfo, verbosity`

Constructor Summary
`ImportDamlApp()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class org.opencyc.xml.ImportDaml

`additionalLexicalAssertions, assertArgumentMapping, assertArgumentMapping, assertForwardArgConstraints, assertMapping, assertMapping, damlTermInfoWrapper, damlTermInfoWrapperTest, displayTriple, escaped, getMappings, getMappings, getOntologyNickname, hasUriNamespaceSyntax, importArg1Isa, importArg2Isa, importComment, importConceptuallyRelated, importContainsInformationAbout, importDaml, importDaml, importGenlPreds, importGenls, importImports, importIsa, importLiteralTriple, importNameString, importSynonymousExternalConcept, importTerm, importTriple, importVersionInfo, initialize, initializeCommonDamlVocabulary, initializeCommonMappedTerms, initializeCommonOntologyNicknames, initializeDamlOntologyMt, isProbableUri, literal, processRestrictionObject, processRestrictionSubject, processRestrictionSubject, resource, setOntologyNickname, setVerbosity, statement, statement, translateResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_MAIN_FRAME_HEIGHT

    protected static final int MIN_MAIN_FRAME_HEIGHT

### MIN_MAIN_FRAME_WIDTH

    protected static final int MIN_MAIN_FRAME_WIDTH

### INITIAL_MAIN_FRAME_HEIGHT

    protected static final int INITIAL_MAIN_FRAME_HEIGHT

### INITIAL_MAIN_FRAME_WIDTH

    protected static final int INITIAL_MAIN_FRAME_WIDTH

Constructor Detail

### ImportDamlApp

    public ImportDamlApp()

Method Detail

### main

    public static void main(java.lang.String[] args)